# Method: projects.datasets.delete

- [HTTP request](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/delete#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/delete#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/delete#body.aspect_1)

Deletes the specified dataset.

### HTTP request

`DELETE https://mapsplatformdatasets.googleapis.com/v1/{name=projects/*/datasets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the dataset to delete. Format: projects/{project}/datasets/{datasetId} |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `mapsplatformdatasets.datasets.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).